Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jinfonet.designer.ui.dialogs.share
Class AboutDesignerDialogBuilder

    java.lang.Object
      com.jinfonet.designer.ui.dialogs.share.AboutDesignerDialogBuilder

All Implemented Interfaces:
  AboutDialogFactory

    public class AboutDesignerDialogBuilder

extends java.lang.Object
implements AboutDialogFactory

See Also:
  `AboutDialogFactory`

Constructor Summary
`AboutDesignerDialogBuilder()`

Method Summary
`java.awt.Dialog` | `buildAboutDialog(java.awt.Dialog owner, java.util.Hashtable info)` Creates an About dialog whose owner is a Dialog according to the about information.
`java.awt.Dialog` | `buildAboutDialog(java.awt.Frame owner, java.util.Hashtable info)` Creates an About dialog whose owner is a Frame according to the about information.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AboutDesignerDialogBuilder

    public AboutDesignerDialogBuilder()

Method Detail

### buildAboutDialog

    public java.awt.Dialog buildAboutDialog(java.awt.Frame owner,
                                            java.util.Hashtable info)

  Description copied from interface: `AboutDialogFactory`
  Creates an About dialog whose owner is a Frame according to the about information.

  Specified by:
    `buildAboutDialog` in interface `AboutDialogFactory`
  Parameters:
    `owner` - The owner of the About dialog.
    `info` - Key: property name (e.g. Product Name); Value: property information (e.g. JReport Designer).
  Returns:
    The About dialog.

### buildAboutDialog

    public java.awt.Dialog buildAboutDialog(java.awt.Dialog owner,
                                            java.util.Hashtable info)

  Description copied from interface: `AboutDialogFactory`
  Creates an About dialog whose owner is a Dialog according to the about information.

  Specified by:
    `buildAboutDialog` in interface `AboutDialogFactory`
  Parameters:
    `owner` - The owner of the About dialog.
    `info` - Key: property name (e.g. Product Name); Value: property information (e.g. JReport Designer).
  Returns:
    The About dialog.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD